/*******************************************************************************
 * Copyright (c) 2016 Attila Kovacs <attila[AT]sigmyne.com>.
 * All rights reserved. 
 * 
 * This file is part of jnum.
 * 
 *     jnum is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     jnum is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with jnum.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila[AT]sigmyne.com> - initial API and implementation
 ******************************************************************************/

package jnum;

// TODO: Auto-generated Javadoc
/**
 * The Class Symbol.
 */
public final class Symbol {

	// Numbers
	/** The Constant permil. */
	public final static char permil = '\u0089';
	
	/** The Constant quarter. */
	public final static char quarter = '\u00bc';
    
    /** The Constant half. */
    public final static char half = '\u00bd';
    
    /** The Constant third. */
    public final static char third  ='\u00be';
	
    
	// Business
	/** The Constant trademark. */
	public final static char trademark = '\u0099';
	
	/** The Constant copyright. */
	public final static char copyright = '\u00a9';
    
    /** The Constant circleR. */
    public final static char circleR = '\u00ae'; 
	
	// Currencies
    /** The Constant euro. */
	public final static char euro = '\u0080';
    
    /** The Constant cent. */
    public final static char cent = '\u00a2';
    
    /** The Constant pound. */
    public final static char pound = '\u00a3';
    
    /** The Constant yen. */
    public final static char yen = '\u00a5';
    
    
    // typographical
    /** The Constant paragraph. */
    public final static char paragraph = '\u00a7';
    
 
    
    /** The Constant ellipses. */
    public final static char ellipses = '\u0085';
     
    /** The Constant scriptf. */
    public final static char scriptf = '\u0083';    
    
    /** The Constant dagger. */
    public final static char dagger = '\u0086';
    
    /** The Constant doubleDagger. */
    public final static char doubleDagger = '\u0087';
    
    /** The Constant CE. */
    public final static char CE = '\u008c';
    
    /** The Constant ce. */
    public final static char ce = '\u009c';
    
    /** The Constant AE. */
    public final static char AE = '\u00c6';
    
    /** The Constant ae. */
    public final static char ae = '\u00e6';
    
    /** The Constant invertedExclamation. */
    public final static char invertedExclamation = '\u00a1';
    
    /** The Constant invertedQuestionMark. */
    public final static char invertedQuestionMark = '\u00bf';
    
    
     
    
    // Math
    
    /** The Constant squareRoot. */
    public final static char squareRoot = '\u221a';
    
    /** The Constant cubicRoot. */
    public final static char cubicRoot = '\u221b';
    
    /** The Constant fourthRoot. */
    public final static char fourthRoot = '\u221c';
  
    
    /** The Constant plusminus. */
    public final static char plusminus = '\u00b1';
    
    /** The Constant minusplus. */
    public final static char minusplus = '\u2213';
    
    /** The Constant upperminus. */
    public final static char upperminus = '\u00af';
    
    /** The Constant square. */
    public final static char square = '\u00b2';
    
    /** The Constant cube. */
    public final static char cube = '\u00b3';
    
    /** The Constant dot. */
    public final static char dot = '\u00b7';
    
    /** The Constant bigdot. */
    public final static char bigdot = '\u0095';
    
    /** The Constant doubledot. */
    public final static char doubledot = '\u00a8';
    
    /** The Constant cross. */
    public final static char cross = '\u00d7';
    
    /** The Constant times. */
    public final static char times = '\u00d7';
    
    /** The Constant infinity. */
    public final static char infinity = '\u221e';
    
    /** The Constant circlePlus. */
    public final static char circlePlus = '\u2295';
    
    /** The Constant circleMinus. */
    public final static char circleMinus = '\u2296';
    
    /** The Constant circleTimes. */
    public final static char circleTimes = '\u2297';
    
    /** The Constant circleDivide. */
    public final static char circleDivide = '\u2298';
    
    /** The Constant circleDot. */
    public final static char circleDot = '\u2299';
    
    /** The Constant starOperator. */
    public final static char starOperator = '\u22c6';
 
    /** The Constant partial. */
    public final static char partial = '\u2202';
    
    /** The Constant nabla. */
    public final static char nabla = '\u2207';
    
    /** The Constant integral. */
    public final static char integral = '\u222b';
    
    /** The Constant doubleIntegral. */
    public final static char doubleIntegral = '\u222c';
    
    /** The Constant tripleIntegral. */
    public final static char tripleIntegral = '\u222d';
    
    /** The Constant crossProduct. */
    public final static char crossProduct = '\u2a2f';
    
    /** The Constant prime. */
    public final static char prime = '\u2032';
    
    /** The Constant doublePrime. */
    public final static char doublePrime = '\u2033';
    
    /** The Constant triplePrime. */
    public final static char triplePrime = '\u2034';
    
    /** The Constant summation. */
    public final static char summation = '\u2211';
    
    /** The Constant product. */
    public final static char product = '\u220f';
    
    /** The Constant notEqual. */
    public final static char notEqual = '\u2260';
    
    /** The Constant proportionalTo. */
    public final static char proportionalTo = '\u221d';
    
    /** The Constant approximately. */
    public final static char approximately = '\u2248';
    
    
    // Physics
    /** The Constant degree. */
    public final static char degree = '\u00b0';
    
    /** The Constant celsius. */
    public final static char celsius = '\u2103';
    
    /** The Constant farenheit. */
    public final static char farenheit = '\u2109';
    
    /** The Constant hbar. */
    public final static char hbar = '\u0127';
    
    /** The Constant mu. */
    public final static char mu = '\u00b5';
    
    /** The Constant Acircle. */
    public final static char Acircle = '\u00c5';
    
   
           
    
    
    /** The Constant Sun. */
    // Astronomy
    public final static char Sun = '\u2609';
    
    /** The Constant Mercury. */
    public final static char Mercury = '\u263f';
    
    /** The Constant Venus. */
    public final static char Venus = '\u2640';
    
    /** The Constant Earth. */
    public final static char Earth = '\u2641';
    
    /** The Constant Mars. */
    public final static char Mars = '\u2642';
    
    /** The Constant Jupiter. */
    public final static char Jupiter = '\u2643';
    
    /** The Constant Saturn. */
    public final static char Saturn = '\u2644';
    
    /** The Constant Uranus. */
    public final static char Uranus = '\u2645';
    
    /** The Constant Neptune. */
    public final static char Neptune = '\u2646';
    
    /** The Constant Pluto. */
    public final static char Pluto = '\u2647';
    
    
}
