/*******************************************************************************
 * Copyright (c) 2016 Attila Kovacs <attila[AT]sigmyne.com>.
 * All rights reserved. 
 * 
 * This file is part of jnum.
 * 
 *     jnum is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     jnum is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with jnum.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila[AT]sigmyne.com> - initial API and implementation
 ******************************************************************************/

package jnum.data;

// TODO: Auto-generated Javadoc
/**
 * The Interface FastGridAccess.
 *
 * @param <CoordinateType> the generic type
 * @param <OffsetType> the generic type
 */
public interface FastGridAccess<CoordinateType, OffsetType> {
   
    /**
     * Value at.
     *
     * @param index the index
     * @param toValue the to value
     */
    public void coordsAt(OffsetType index, CoordinateType toValue);
    
    /**
     * Index of.
     *
     * @param value the value
     * @param toIndex the to index
     */
    public void indexOf(CoordinateType value, OffsetType toIndex);
    
}
