/*******************************************************************************
 * Copyright (c) 2016 Attila Kovacs <attila[AT]sigmyne.com>.
 * All rights reserved. 
 * 
 * This file is part of jnum.
 * 
 *     jnum is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     jnum is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with jnum.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila[AT]sigmyne.com> - initial API and implementation
 ******************************************************************************/

package jnum.text;

// TODO: Auto-generated Javadoc
/**
 * The Class Brackets.
 */
public final class Brackets {
    
    /** The Constant doubleLeft. */
    public final static char doubleLeft = '\u2e28';
    
    /** The Constant doubleRight. */
    public final static char doubleRight = '\u2e29';
    
    /** The Constant fullwidthCurvedLeft. */
    public final static char fullwidthCurvedLeft = '\uff08';
    
    /** The Constant fullwidthCurvedRight. */
    public final static char fullwidthCurvedRight = '\uff09';
    
    /** The Constant fullwidthCurlyLeft. */
    public final static char fullwidthCurlyLeft = '\uff5b';
    
    /** The Constant fullwidthCurlyRight. */
    public final static char fullwidthCurlyRight = '\uff5d';
    
    /** The Constant fullwidthSquareLeft. */
    public final static char fullwidthSquareLeft = '\uff3b';
    
    /** The Constant fullwidthSquareRight. */
    public final static char fullwidthSquareRight = '\uff3d';
    
    /** The Constant fullwidthDoubleLeft. */
    public final static char fullwidthDoubleLeft = '\uff5f';
    
    /** The Constant fullwidthDoubleRight. */
    public final static char fullwidthDoubleRight = '\uff60';
    
    /** The Constant angledLeft. */
    public final static char angledLeft = '\u27e8';
    
    /** The Constant angledRight. */
    public final static char angledRight = '\u27e9';
    
    /** The Constant doubleAngledLeft. */
    public final static char doubleAngledLeft = '\u27ea';
    
    /** The Constant doubleAngledRight. */
    public final static char doubleAngledRight = '\u27eb';
    
    /** The Constant flattenedLeft. */
    public final static char flattenedLeft = '\u27ee';
    
    /** The Constant flattenedRight. */
    public final static char flattenedRight = '\u27ef';
    
    /** The Constant superscriptLeft. */
    public final static char superscriptLeft = SuperScript.curvedLeft;
    
    /** The Constant superscriptRight. */
    public final static char superscriptRight = SuperScript.curvedRight;

    /** The Constant subscriptLeft. */
    public final static char subscriptLeft = SubScript.curvedLeft;
    
    /** The Constant subscriptRight. */
    public final static char subscriptRight = SubScript.curvedRight;
    
}
