/*******************************************************************************
 * Copyright (c) 2017 Attila Kovacs <attila[AT]sigmyne.com>.
 * All rights reserved. 
 * 
 * This file is part of jnum.
 * 
 *     jnum is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     jnum is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with jnum.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila[AT]sigmyne.com> - initial API and implementation
 ******************************************************************************/


package jnum.text;

import java.text.FieldPosition;
import java.text.ParsePosition;

import jnum.Unit;


// TODO: Auto-generated Javadoc
/**
 * The Class HourAngleFormat.
 */
public class HourAngleFormat extends TimeFormat {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -6260375852141250856L;
	
	/**
	 * Instantiates a new hour angle format.
	 */
	public HourAngleFormat() { super(); setPositiveOnly(true); }
		
	/**
	 * Instantiates a new hour angle format.
	 *
	 * @param decimals the decimals
	 */
	public HourAngleFormat(int decimals) { super(decimals); setPositiveOnly(true); }
	
	/* (non-Javadoc)
	 * @see jnum.text.AngleFormat#format(double, java.lang.StringBuffer, java.text.FieldPosition)
	 */
	@Override
	public StringBuffer format(double angle, StringBuffer toAppendTo, FieldPosition pos) {
		return super.format(angle / Unit.timeAngle, toAppendTo, pos);
	}
	
	/* (non-Javadoc)
	 * @see jnum.text.AngleFormat#parse(java.lang.String, java.text.ParsePosition, int)
	 */
	@Override
	public Number parse(String source, ParsePosition parsePosition, int format) {
		return super.parse(source, parsePosition, format).doubleValue() * Unit.timeAngle;
	}	

}
